<? require_once($_SERVER['DOCUMENT_ROOT'].'/block/head.php');
if(!isset($_SESSION["login"]) && !isset($_SESSION["pass"])) {
?>
<div class="row">
<div class="col-md-12">
<div class="alert alert-danger alert-dismissable">
<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
<h4><i class="icon fa fa-warning"></i> Внимание!</h4>
Для просмотра этой страницы нужно авторизоваться на сайте под своим логином. 
Если у вас ещё нет аккаунта - самое время пройти регистрацию и стать участником крупного проекта!
</div>
</div>
</div>
<?}else{?>

<div class="row">
<div class="col-md-12">
<div class="panel panel-default">                                
<div class="panel-body">
<h3>Вывод заработаных средств</h3>
<p>Вы уже достаточно поработали, пора вам и получить денюжку. Для вывода у вас должен быть подтверждём номер мобильного телефона и заполнены реквизиты для вывода (это делается в настройках). Если по какой то причине вы не получили денежные средства на свой счёт не спешите писать в слкжбу поддержки, справа находится столбец с неисполненными платежами, вы можете подождать и ваш платёж исполнится вручную администратором проекта.</p>
<p><b>Некоторые платёжные системы взимают комиссию за перевод средств, комиссию оплачивает конечный получатель.</b></p>
</div>
</div>
</div>
</div>

<div class="row">
<div class="col-md-6">
<div class="panel panel-primary">
<div class="panel-heading">
<div class="panel-title-box">
<h3>Вывод средств</h3>
<span>перевод на свой интернет кошелёк</span>
</div>
</div>
<div class="panel-body">
<form class="form-horizontal">

<div class="form-group">
<label class="col-md-2 control-label">Основной:</label>
<div class="col-md-9">
<div class="input-group">
<span class="input-group-addon" data-toggle="tooltip" title="Ваши основные деньги, доступные для вывода."><span class="fa fa-money"></span></span>
<input type="text" class="form-control" maxlength="7" value="<?=$ballans;?>" readonly="readonly">
</div>
</div>
</div>

<div class="form-group">
<label class="col-md-2 control-label">Сумма:</label>
<div class="col-md-9">
<div class="input-group">
<span class="input-group-addon" data-toggle="tooltip" title="Сколько вы хотите вывести средств."><span class="fa fa-rub"></span></span>
<input type="text" class="form-control" maxlength="7" id="chn1">
<span onclick='add_money();' style='cursor: pointer; text-decoration: none;' class="input-group-addon" data-toggle="tooltip" title="Перевести всю сумму."><span class="fa fa-refresh fa-spin"></span></span>
</div>
</div>
</div>

<div class="form-group">
<label class="col-md-2 control-label">Номер:</label>
<div class="col-md-9">
<div class="input-group">
<span class="input-group-addon" data-toggle="tooltip" title="Номер кошелька для вывода."><span class="fa fa-credit-card"></span></span>
<input type="text" class="form-control" maxlength="7" id="purse" disabled />
</div>
</div>
</div>

<div class="form-group">
<label class="col-md-2 control-label">Кошелёк:</label>
<div class="col-md-9">
<div class="input-group">
<span class="input-group-addon" data-toggle="tooltip" title="Выбор системы на вывод стредств."></span>
<select id="merchant" onchange="chenge(); return false;" class="form-control select">
<option value="1">WebMoney</option>
<option value="2">Payeer</option>
<option value="3">YandexMoney</option>
<?if($id_login == '3' OR $id_login == '1'){?><option value="4">BTC</option><?}?>
</select>
</div>
</div>
</div>

</div>
</form>

<div class="panel-footer">
<div class="form-group">
<div class="col-md-12"><button class="btn btn-primary btn-block" onclick='vivod();'>Получить выплату</button></div>
</div>
</div>
</div>
</div>

<div class="col-md-6">
<div class="panel panel-primary">
<div class="panel-heading">
<div class="panel-title-box">
<h3>Заявки на вывод</h3>
<span>Ваши заказанные, но ещё не исполненные выплаты</span>
</div>
</div>
<table class="table table-bordered">
<?
$sql = mysql_query("SELECT `time`,`summa`,`ps` FROM `nano_out_money` WHERE `id_user`='$id_login' AND `status`='1' ORDER BY `id` DESC LIMIT 5") or die(mysql_error());
if(mysql_num_rows($sql) > '0'){
while($row = mysql_fetch_assoc($sql)){
$time_out = date_get($row["time"]);
$summ_out = $row["summa"];
$ps_out = $row["ps"];
if($ps_out == 'wm'){$ps = "WebMoney";}
if($ps_out == 'pr'){$ps = "Payeer";}
if($ps_out == 'ym'){$ps = "YandexMoney";}
?>
<tr>
<td><center><b><?=$summ_out;?> руб.</b></center></td>
<td>Заявка вывода средств на <?=$ps;?></td>
<td><center><?=$time_out;?></center></td>
</tr>
<?}
}else{?>
<tr>
<td><center>Запросов на вывод ещё не было</center></td>
</tr>
<?}?>
</table>

</div>
</div>
</div>
<script>
var progress = false;
function add_money(){ $('#chn1').val('<?=$ballans_s;?>') }

function chenge(){
var merchant = parseInt($.trim($('#merchant').val()));
if(merchant == 1) { purse = "<?=$wm;?>";
}else if(merchant == 2) { purse = "<?=$pr;?>";
}else if(merchant == 3) { purse = "<?=$ym;?>";
}else if(merchant == 4) { purse = "<?=$bt;?>";
}else{ return false; }
$("#purse").val(purse);
}

function vivod() {
{
var summa = ($('#chn1').val());
var merchant = parseInt($.trim($('#merchant').val()));
var capcha = ($('#capcha').val());
$.ajax({
type: "POST", 
url: "/ajax/money.php", 
data: { 'func' : 'vivod', 'summa' : summa, 'merchant' : merchant, 'capcha' : capcha},
beforeSend: function(){ progress = true;},
success: function(data) {
if(data == 1) { QBinfo('Ошибка:','Сумма перевода не должна быть пустой!',4000,'bottom-right');}
else if(data == 2){ QBinfo('Ошибка:','Выплата для вашего статуса запрещена!',4000,'bottom-right');}
else if(data == 3){ QBinfo('Ошибка:','Сумма больше вашего лимита на вывод!',4000,'bottom-right');}
else if(data == 4){ QBinfo('Ошибка:','Сумма больше вашего балланса!',4000,'bottom-right');}
else if(data == 5){ QBinfo('Ошибка:','Введите кошелёк для выплаты (в личных данных)!',4000,'bottom-right');}
else if(data == 11){ QBinfo('Ошибка:','Необходимо подтвердить свой номер телефона!',4000,'bottom-right');}
else if(data == 12){ QBinfo('Ошибка:','Для вашего статуса установлено ограничение на макс. кол-во выплат, повторите позже!',4000,'bottom-right');}
else if(data == 13){ QBinfo('Ошибка:','Вы забанены, за подозрение в создании 2-го аккаунта. Обратитесь к администрации!',4000,'bottom-right');}
else if(data == 7){ QBinfo('Поздравляем:','Вы успешно вывели деньги на свой кошелёк!',4000,'bottom-right');
setTimeout('location.replace("<?=$adres; ?>")', 2000);
}
else if(data == 8){ QBinfo('Ошибка:','Ошибка платёжной системы, попробуйте позже!',4000,'bottom-right');
setTimeout('location.replace("<?=$adres; ?>")', 2000);
}
else if(data == 9){ QBinfo('Ошибка:','Автовыплаты WebMoney отключены, ожидайте ручного перечисления!',4000,'bottom-right');
setTimeout('location.replace("<?=$adres; ?>")', 2000);
}
else if(data == 10){ QBinfo('Ошибка:','Вы уже заказывали выплату, ожидайте перевода или отмените операцию!',4000,'bottom-right');}
progress = false;
}
});
}
}
</script>
<?} require_once($_SERVER['DOCUMENT_ROOT'].'/block/foot.php'); ?>